Name:           python-datajoint
Version:        0.14.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        DataJoint for Python is a framework for scientific workflow management based on relational principles. DataJoint is built on the foundation of the relational data model and prescribes a consistent method for organizing, populating, computing, and querying data.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://datajoint.com/docs
Source:         %{pypi_source datajoint}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'datajoint' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-datajoint
Summary:        %{summary}

%description -n python3-datajoint %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-datajoint dev,test


%prep
%autosetup -p1 -n datajoint-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-datajoint -f %{pyproject_files}


%changelog
%autochangelog